microsoft-foundry.rest.security.o-auth2-auth
Agent Invocations
Create an agent invocation
POST
/agents/{agent_name}/endpoint/protocols/invocations
Creates an invocation for the specified agent version.
경로 매개 변수
agent_name
string
필수
The name of the agent.
쿼리 매개 변수
agent_session_id
string
Optional session ID returned by the session CRUD APIs to reuse an existing sandbox. If not provided, a new session ID will be auto-generated.
api-version
string
필수
The API version to use for this operation.
헤더 매개 변수
x-ms-user-identity
string
Opaque per-user identity string used to scope endpoint-scoped data to a specific end user. The caller must have the agents/endpoints/UserIdentityImpersonation/action RBAC permission.
요청 본문
The request body.
Content-Type: */*
응답
The request has succeeded.
헤더
x-agent-invocation-id
string
필수
Unique identifier for this invocation.
x-agent-session-id
string
필수
Session ID for this invocation. Returns the provided session ID or an auto-generated one if not provided in the request.
본문
Content-Type: */*
요청
POST /agents/{agent_name}/endpoint/protocols/invocations HTTP/1.1
응답
Status: 200
Content-Type: */*
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json